Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::EntityComponent Interface Reference

`import "CCM_Container.idl";`

Inheritance diagram for Components::EntityComponent:

[legend]
Collaboration diagram for Components::EntityComponent:

[legend]
List of all members.

## Public Methods
void | set_entity_context (in EntityContext ctx) raises (CCMException)
void | unset_entity_context () raises (CCMException)
void | ccm_activate () raises (CCMException)
void | ccm_load () raises (CCMException)
void | ccm_store () raises (CCMException)
void | ccm_passivate () raises (CCMException)
void | ccm_remove () raises (CCMException)
void | set_entity_context (in EntityContext ctx) raises (CCMException)
void | unset_entity_context () raises (CCMException)
void | ccm_activate () raises (CCMException)
void | ccm_load () raises (CCMException)
void | ccm_store () raises (CCMException)
void | ccm_passivate () raises (CCMException)
void | ccm_remove () raises (CCMException)

## Member Function Documentation

void Components::EntityComponent::ccm_activate | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_activate | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_load | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_load | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_passivate | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_passivate | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_remove | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_remove | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_store | ( |  | ) | raises (CCMException)

void Components::EntityComponent::ccm_store | ( |  | ) | raises (CCMException)

void Components::EntityComponent::set_entity_context | ( | in EntityContext | ctx | ) | raises (CCMException)

void Components::EntityComponent::set_entity_context | ( | in EntityContext | ctx | ) | raises (CCMException)

void Components::EntityComponent::unset_entity_context | ( |  | ) | raises (CCMException)

void Components::EntityComponent::unset_entity_context | ( |  | ) | raises (CCMException)

The documentation for this interface was generated from the following files:

- CCM_Container.idl
- Component_Base.idl